import { app } from './app.ts';
import { useConfig } from '@kevisual/use-config/env';
const config = useConfig();

app
  .route({
    path: 'auth',
    key: 'auth',
    id: 'auth',
  })
  .define(async (ctx) => {
    ctx.state.tokenUser = {
      id: 'abcdefff',
      username: 'root',
    };
    ctx.query.token = config.ROOT_TEST_TOKEN;
  })
  .addTo(app);

app
  .route({
    path: 'demo',
    key: 'demo',
  })
  .define(async (ctx) => {
    ctx.body = '123';
  })
  .addTo(app);

console.log('run demo: http://localhost:' + config.PORT + '/api/router?path=demo&key=demo');
