import { getChunks } from '../../provider/utils/chunk.ts';

const str = 'Hello world this is a test 你好沙盒 very big';


const str2 = `不能直接使用 tiktoken（OpenAI的分词器）来计算 Qwen 模型的 Token 数量，因为两者的分词规则（Tokenization）和词表（Vocabulary）完全不同。

为什么不能混用？
词表不同

tiktoken 是 OpenAI 为 GPT 系列设计的（如 gpt-3.5-turbo, gpt-4），其词表针对英语和代码优化。

Qwen 使用独立训练的 BPE 词表，对中文、多语言的支持更友好，分词粒度可能不同。

分词结果差异大
同一段文本，tiktoken 和 Qwen 的分词结果可能完全不同。例如：

OpenAI (tiktoken): "你好" → ['你', '好']（2 Tokens）

Qwen: "你好" → ['你好']（1 Token，如果词表中包含该组合）

性能问题
即使强制使用 tiktoken 计算 Qwen 的 Token，结果也不准确，可能导致：

输入超出模型上下文限制（因统计偏差）。

API 计费或本地推理时出现意外错误。

正确方法：用 Qwen 的分词器
通过 Hugging Face transformers 加载 Qwen 的原生分词器：

python
复制
from transformers import AutoTokenizer

# 加载 Qwen 的分词器（以 Qwen-7B 为例）
tokenizer = AutoTokenizer.from_pretrained("Qwen/Qwen-7B", trust_remote_code=True)

text = "你好，Qwen模型！"
tokens = tokenizer.tokenize(text)  # 查看分词结果
token_count = len(tokenizer.encode(text, add_special_tokens=False))

print("分词结果:", tokens)
print("Token数量:", token_count)
常见问题
为什么需要 trust_remote_code=True？
Qwen 的分词器是自定义实现的（非 Hugging Face 原生），此参数允许从模型仓库加载运行代码。

其他语言的 Token 计算？
Qwen 对非英语（如中文、日文）的分词效率较高，但仍需用其原生分词器统计。

与 tiktoken 的速度对比？
tiktoken 是纯 Python 实现，速度较快；Qwen 的分词器基于 Hugging Face，可能稍慢但对齐模型需求。

总结
禁止混用：tiktoken ≠ Qwen 分词器。

始终使用模型配套工具：Qwen 需通过 transformers 加载其官方分词器。

中文场景特别注意：Qwen 对中文的分词更高效，直接使用可避免偏差。

如果需要验证分词规则，可通过 tokenizer.vocab 查看词表内容（但注意词表通常较大）。`

const chunks = getChunks(str2);
console.log(chunks);
